Bug 33338 - [WRITER] Autocaption: it should be allowed to set position for any type
Summary: [WRITER] Autocaption: it should be allowed to set position for any type
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Writer-UX AutoCaption
  Show dependency treegraph
 
Reported: 2011-01-21 07:29 UTC by Alexandre Demers
Modified: 2018-10-07 18:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Position options Linux (67.72 KB, image/jpeg)
2016-10-10 07:07 UTC, Timur
Details
screenshot (148.93 KB, image/png)
2016-10-10 18:57 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Demers 2011-01-21 07:29:21 UTC
Under Options -> LibreOffice Writer -> AutoCaption, check LibreOffice Spreadsheet. On the right panel, the Position selection stays grey, set on Below. It should be possible to change the Position.

The idea is the following: when LibreOffice Writer Table is selected, it can be changed and set to Above. Now, most of the time, a Spreadsheet is used to display data in a table form. Since it can be a table, it should be possible to set the Position to Above to be logical with the LibreOffice Writer Table options.

If we extend the idea, it should be up to the user to make a choice if he wants to change the Position for any of the AutoCaption types. Right now, while the option is available for any type, it is only accessible by Writer Table and Writer Frame autocaptions.
Comment 1 Noel Power 2011-01-21 08:29:21 UTC
It looks like the reason there is no option for for changing the position of the associated caption is because it look like the format of the frame to hold the object ( in this case the embedded spreadsheet ) with a caption is fixed. So... imo this is not a bug but some enhancement. marking it as such. 

How easy, hard or useful ( though seems quite like a reasonable thing to be able to do to me )
Comment 2 Björn Michaelsen 2011-12-23 11:46:55 UTC Comment hidden (obsolete)
Comment 3 Alexandre Demers 2011-12-23 13:46:20 UTC
The enhancement is still pending for implementation.
Comment 4 Commit Notification 2015-12-11 06:38:42 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5fb58caa0f941caacb1fff78c22285bb7f63026

tdf#33338: enable autocaption position 'above' for all object types

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2016-09-15 20:46:44 UTC Comment hidden (obsolete)
Comment 6 Timur 2016-09-19 16:04:53 UTC
Starting from 5.2 we can set position also to Above.

But, there are different behaviors with Position:
Below: captions work for Spreadsheet but only if it's inserted via Insert-Object and not via Paste from Calc - behavior inherited from OO;
Above: if table inserted via Paste from Calc, only caption shown, and not table data
Above: if table inserted via Insert-Object, it seems fine with caption, but I get a loop and unresponsive Writer

I'd ask others to test these cases with Above to check whether that belongs to this bug.
Captions for Below position may be another bug, since they are inherited. 

BTW, https://help.libreoffice.org/index.php?title=Common/AutoCaption&Language=en-US doesn't give a clue about these options, but that's another issue.
Comment 7 Timur 2016-09-19 16:15:10 UTC
Actually, with Above I get intermittent Crash with master in: SwWrtShell::CalcAndSetScale which I reported as Bug 102286.
Comment 8 Julien Nabet 2016-09-20 19:30:38 UTC
On pc Debian x86-64 with master sources updated today, I don't have Spreadsheet options only these:
- LO Writer Table
- LO Writer Frame
- LO Writer Image
- Other OLE Objects (5 times)
Comment 9 Timur 2016-10-10 07:07:16 UTC
Created attachment 127909 [details]
Position options Linux
Comment 10 Julien Nabet 2016-10-10 18:57:17 UTC
Created attachment 127931 [details]
screenshot
Comment 11 Julien Nabet 2016-10-10 18:59:30 UTC
Timur: the weird thing is I got exactly the same as you with LO Debian package 5.2.2
Comment 12 Christian Pietzsch 2018-10-07 02:45:26 UTC
(In reply to Timur from comment #6)
> Starting from 5.2 we can set position also to Above.
> 
> But, there are different behaviors with Position:
> Below: captions work for Spreadsheet but only if it's inserted via
> Insert-Object and not via Paste from Calc - behavior inherited from OO;
> Above: if table inserted via Paste from Calc, only caption shown, and not
> table data
> Above: if table inserted via Insert-Object, it seems fine with caption, but
> I get a loop and unresponsive Writer
> 
> I'd ask others to test these cases with Above to check whether that belongs
> to this bug.
> Captions for Below position may be another bug, since they are inherited. 
> 
> BTW,
> https://help.libreoffice.org/index.php?title=Common/AutoCaption&Language=en-
> US doesn't give a clue about these options, but that's another issue.

As described in this post, the option is available but shows the mentioned strange behavior.

Replicated in:
Version: 6.1.0.3
Build ID: 6.1.0-2
CPU threads: 12; OS: Linux 4.18; UI render: default; VCL: gtk2; 
Locale: de-DE (en_US.UTF-8); Calc: group threaded
Comment 13 Julien Nabet 2018-10-07 18:49:29 UTC
On pc Debian x86-64 with master sources updated today, I could test this since I can see the options now.
Here are my results:
Above
  - insert object: seems ok "illustration 1:" above + separator line + full table 
  - paste : almost ok "illustration 2:" + empty (no separator line) + table which dislays not completely (I must increase the table to see the whole data)

Below
  - insert object: almost ok separator line after a short empty space + full table + separator line + "Illustration3:"
  - paste: KO : only full table (no autocaption even if I increase the "shape" which contains the table)